package com.ruoyi.tc.entity.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @author dong
 * @since 2024/11/19 18:21
 */
@Data
@ApiModel("资产核查请求类")
public class AssestTaskXqRequest {
    /**
     * 任务id
     */
    @ApiModelProperty("任务id")
    private String taskId;

    /**
     * 资产类型
     */
    @ApiModelProperty("资产类型")
    private String xtlx;

    /**
     * 单位名称
     */
    @ApiModelProperty("单位名称")
    private String dwmc;

    /**
     * 审核状态（0待核查，1待审核，3审核通过，4审核不通过，5审核不通过）
     */
    @ApiModelProperty("审核状态（0待核查，1待审核，3审核通过，4审核不通过，5审核不通过）")
    private String status;


    /**
     * 资产类型
     */
    @ApiModelProperty("0:web资产，1:小程序资产，2：公众号资产，3：电子邮件资产，4：移动应用程序资产")
    private String type;
}
