package com.ruoyi.tc.regular.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.util.Date;

/**
 * 单位联系人接口对接
 * @author du
 * @since 2024/12/3 17:23
 */
@Data
public class UnitConcat {
    @ApiModelProperty("id")
    private String id;

    @ApiModelProperty("单位档案对应id")
    private String dwid;

    @ApiModelProperty("姓名")
    private String xm;

    @ApiModelProperty("联系方式")
    private String lxfs;

    @ApiModelProperty("职务职称")
    private String zwzc;

    @ApiModelProperty("联系人类型")
    private String lxrlx;

    @ApiModelProperty("更新时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updatetime;

    @ApiModelProperty("创建时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createtime;
}
