package com.ruoyi.tc.regular.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.util.Date;

/**
 * 系统基础信息对接实体类
 * @author du
 * @since 2024/12/4 9:28
 */
@Data
public class AssetJcxx {
    @ApiModelProperty("id")
    private String id;

    @ApiModelProperty("部门id")
    private String bmid;

    @ApiModelProperty("部门名称")
    private String bmmc;

    @ApiModelProperty("系统名称")
    private String xtmc;

    @ApiModelProperty("系统简介")
    private String xtjj;

    @ApiModelProperty("系统状态")
    private String xtzt;

    @ApiModelProperty("系统领域")
    private String xtly;

    @ApiModelProperty("系统类型")
    private String xtlx;

    @ApiModelProperty("系统架构")
    private String xtjg;

    @ApiModelProperty("网络环境")
    private String wkhj;

    @ApiModelProperty("访问网址")
    private String fwwz;

    @ApiModelProperty("域名")
    private String ym;


    @ApiModelProperty("是否垂管")
    private String sfcg;

    @ApiModelProperty("月均访问数")
    private String yjfws;

    @ApiModelProperty("系统重要性")
    private String xtzyx;

    @ApiModelProperty("是否关基系统")
    private String sfgjxt;


    @ApiModelProperty("系统部署方式")
    private String xtbsfs;

    @ApiModelProperty("未部署信息港的原因")
    private String wbsxxgyy;

    @ApiModelProperty("是否对公众开放")
    private String sfdgzkf;

    @ApiModelProperty("开发厂商")
    private String kfcs;

    @ApiModelProperty("运维厂商")
    private String ywcs;

    @ApiModelProperty("用户类型")
    private String yhlx;

    @ApiModelProperty("用户范围")
    private String yhfw;

    @ApiModelProperty("建设层级")
    private String jscj;

    @ApiModelProperty("是否信创环境")
    private String sfxchj;

    @ApiModelProperty("更新时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updatetime;

    @ApiModelProperty("创建时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createtime;
}
